Saltar al contenido

List std labor rate card rows

Módulo Canon

GET/canon/std/labor-rate-cardscanonStdLaborRateCards.list

A labor rate card line. Standard Library row, copied into each new org as editable org data. Returns a cursor page of std labor rate card rows the caller may see. The default order is `rate_card_id` ascending. Supports sparse fieldsets and the filter grammar.

  • Requiere la capacidad canon.taxonomy.read.
  • Alcances de OAuth: canon.
  • Paginación por cursor: se aplican limit, cursor, fields, sort y filter.
  • Estados de error: 400, 401, 429. Los errores son detalles de problema RFC 9457.

Parámetros de ruta y de consulta

canonStdLaborRateCards.list: Parámetros de ruta y de consulta
CampoTipoObligatorioDescripción
limitLimitNoPage size. Default 50, maximum 200.Restricciones: range 1 to 200
cursorCursorNoOpaque cursor from `next_cursor` of the previous page.Restricciones: length 1 to any
fieldsFieldsNoSparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Restricciones: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$
sortSortNoSort keys, comma-separated; a leading `-` sorts descending. Without `sort`, the documented default order applies (coded lists sort in numeric code order).Restricciones: pattern ^-?[a-z_][a-z0-9_]*(,-?[a-z_][a-z0-9_]*)*$
filterFilterNoFilter grammar `filter[field][op]=value`. Operators: eq, ne, lt, lte, gt, gte, in (comma-separated values), is_null (true or false) and contains. Conditions combine with AND.

Respuesta 200: una página de StdLaborRateCard

canonStdLaborRateCards.list: StdLaborRateCard
CampoTipoObligatorioDescripción
rate_card_idstringSíCanon rate card identifier.Restricciones: pattern ^[A-Za-z0-9][A-Za-z0-9._-]{0,63}$
role_codeRoleCodeSíWorkforce role code from `xpms.dim_role`, on URID grammar.Restricciones: pattern ^[0-9]000\.[0-9]{2}\.[0-9]{2}$
job_titlestring | nullSíJob title of the role.Restricciones: length 1 to 300
class_codeDeptCodeSíDepartment class code from `xpms.dim_department` (Section 3.2).Restricciones: pattern ^[0-9]000$
departmentstringSíDepartment of the role.Restricciones: length 1 to 200
worker_classificationstringSíWorker classification label.Restricciones: length 1 to 200
pay_basisstringSíPay basis.Restricciones: length 1 to 200
arrangementstringSíArrangement.Restricciones: length 1 to 200
standard_rate_minorinteger (int64) | nullSíStandard rate. Integer minor units of the resource currency; null means unpriced, never zero.
min_grade_rate_minorinteger (int64) | nullSíLowest grade rate. Integer minor units of the resource currency; null means unpriced, never zero.
max_grade_rate_minorinteger (int64) | nullSíHighest grade rate. Integer minor units of the resource currency; null means unpriced, never zero.
per_diem_rate_minorinteger (int64) | nullSíPer diem rate. Integer minor units of the resource currency; null means unpriced, never zero.
currency_codestringSíISO 4217 currency of the rates.Restricciones: pattern ^[A-Z]{3}$
overtime_rule_idstringSíCanon overtime rule.Restricciones: pattern ^[A-Za-z0-9][A-Za-z0-9._-]{0,63}$
ot_multipliernumberSíOvertime multiplier.
dt_multipliernumberSíDouble time multiplier.
gl_accountstring | nullSíExpense GL account of the role's department.Restricciones: length 1 to 50
gl_account_namestring | nullSíName of that GL account.Restricciones: length 1 to 300
{
  "data": [
    {
      "rate_card_id": "LRC-001",
      "role_code": "5000.50.01",
      "job_title": "Head Rigger",
      "class_code": "4000",
      "department": "Production",
      "worker_classification": "Employee",
      "pay_basis": "Hourly",
      "arrangement": "Per Engagement",
      "standard_rate_minor": 4500,
      "min_grade_rate_minor": 3800,
      "max_grade_rate_minor": 5200,
      "per_diem_rate_minor": 6500,
      "currency_code": "USD",
      "overtime_rule_id": "OTR-001",
      "ot_multiplier": 1.5,
      "dt_multiplier": 2,
      "gl_account": "5400",
      "gl_account_name": "Production Labor"
    }
  ],
  "next_cursor": null
}

Ejemplos de código

curl -X GET "$XOS_BASE_URL/canon/std/labor-rate-cards" \
  -H "Authorization: Bearer $XOS_API_KEY"
for await (const row of xos.canonStdLaborRateCards.listAll()) {
  console.log(row);
}
for row in xos.canon_std_labor_rate_cards.list_all():
    print(row)
xos canon-std-labor-rate-cards list --all